| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Config.Gnome

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>

Contents

Usage

Description
This module provides a config suitable for use with the GNOME desktop environment.
Synopsis

gnomeConfig
gnomeRun :: X ()
gnomeRegister :: MonadIO m => m ()

Usage

To use this module, start with the following `~/.xmonad/xmonad.hs`:

     import XMonad
     import XMonad.Config.Gnome

     main = xmonad gnomeConfig

For examples of how to further customize `gnomeConfig` see XMonad.Config.Desktop.

gnomeConfig

gnomeRun :: X () | Source

Launch the Run Application dialog. gnome-panel must be running for this to work.

gnomeRegister :: MonadIO m => m () | Source

Register xmonad with gnome. 'dbus-send' must be in the $PATH with which xmonad is started.

This action reduces a delay on startup only only if you have configured gnome-session>=2.26: to start xmonad with a command as such:

     gconftool-2 -s /desktop/gnome/session/required_components/windowmanager xmonad --type string

Produced by Haddock version 2.4.2